<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema xmlns:riprot="http://insiel.it/protocollo/schemixsd/riprotocolla"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:tgen="http://insiel.it/protocollo/schemixsd/tipiGenerali"
	targetNamespace="http://insiel.it/protocollo/schemixsd/riprotocolla"
	elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://insiel.it/protocollo/schemixsd/tipiGenerali" schemaLocation="tipiGenerali.xsd"/>
	<xs:element name="RiprotocollazioneResponse">
		<xs:complexType>
			<xs:choice>
				<xs:element name="registrazione" type="tgen:ProtocolloResponse"/>
				<xs:element name="errore" type="tgen:Errore"/>
			</xs:choice>
			<xs:attribute name="esito" type="xs:boolean" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="RiprotocollazioneRequest">
		<xs:complexType>
			<xs:all>
				<xs:element name="utente" type="tgen:Utente"/>
				<xs:element name="registrazione" type="tgen:ProtocolloRequest"/>
				<xs:element name="codiceUfficioOperante" type="xs:string" minOccurs="0"/>
				<xs:element name="codiceUfficio" type="xs:string"/>
				<xs:element name="codiceRegistro" type="xs:string"/>
				<xs:element name="verso" type="tgen:verso"/>
				<xs:element name="mittenti" type="riprot:Mittenti" minOccurs="0"/>
				<xs:element name="destinatari" type="riprot:Destinatari" minOccurs="0"/>
				<xs:element name="uffici" type="riprot:Uffici" minOccurs="0"/>
				<xs:element name="classifiche" type="riprot:Classifiche" minOccurs="0"/>
				<xs:element name="dataRicezioneSpedizione" type="xs:dateTime" minOccurs="0"/>
				<xs:element name="tipoMittenteMail" type="tgen:tipoMittenteMail" minOccurs="0"/>
				<xs:element name="inserisciInPratica" type="riprot:Pratiche" minOccurs="0"/>
				<xs:element name="mnemonici" type="riprot:Mnemonici" minOccurs="0"/>
				<xs:element name="oggettoProtocollo" type="tgen:oggetto" minOccurs="0"/>
			</xs:all>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="Mittenti">
		<xs:sequence>
			<xs:element name="mittente" type="tgen:MittenteInsProto" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Destinatari">
		<xs:sequence>
			<xs:element name="destinatario" type="tgen:DestinatarioInsProto" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Uffici">
		<xs:sequence>
			<xs:element name="ufficio" type="tgen:UfficioInsProto" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Classifiche">
		<xs:sequence>
			<xs:element name="classifica" type="tgen:Classifica" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Pratiche">
		<xs:sequence>
			<xs:element name="pratiche" type="tgen:PraticaRequest" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Mnemonici">
		<xs:sequence>
			<xs:element name="mnemonico" type="tgen:Mnemonico" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
